@echo off

echo *** Screen Stream Mirroring USB v2 ***

rem Check whether device is connected or wait for one
"%~dp0tools\adb.exe" -d get-state> "%~dp0adbState.tmp"
setlocal
set /p adbState=<"%~dp0adbState.tmp"
del "%~dp0adbState.tmp"
if "%adbState%"=="device" (
	echo Waiting for device to be connected...
	"%~dp0tools\adb.exe" -d wait-for-device	
) else (
	echo.
	echo Device not found:
	echo.
	echo 1. Check you enabled USB debugging option ^(read Instructions.txt if needed^) and ^(re^)plug device to USB.
	echo.
	echo 2. Check you authorized the computer for USB debugging if a confirmation dialog appeared on your Android device.
	echo.
	echo 3. Check you unzipped the entire ZIP file content.
	echo.
	echo 4. IMPORTANT: Check your ADB drivers:
	echo -^> For easy auto install, download and run: http://adbdriver.com/upload/adbdriver.zip
	echo Then if your device appears with a red alert just click the 'Install' button.
	echo.
	echo ^(Drivers manual installation guide: http://developer.android.com/tools/extras/oem-usb.html#InstallingDriver^)
	goto end
)

echo.
setlocal
set /p port=Enter the streaming port number used in Screen Stream Mirroring ^(advanced^) preferences, or press enter for default value ^(5000^): 
if "%port%"=="" (set port=5000)
echo Port number set to %port%.

"%~dp0tools\adb.exe" -d forward tcp:%port% tcp:%port%

echo.
echo Done.
echo Important: 
echo Be sure you have enabled "Stream through USB" option in app preferences.
echo.

:end
pause>nul
